cURL
curl --request GET \
--url https://api.surnex.io/v1/dataforseo/executions/{id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.surnex.io/v1/dataforseo/executions/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.surnex.io/v1/dataforseo/executions/{id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"execution_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "complete",
"operation": {
"service": "serp",
"operation_path": "/serp/google/organic/live",
"mode": "live",
"method": "POST"
},
"results": [
{
"part_type": "serp_google_organic_live",
"data_json": {
"tasks": []
},
"created_at": "2026-02-24T00:00:00.000Z"
}
],
"expected_parts": [
"serp_google_organic_live"
],
"available_parts": [
"serp_google_organic_live"
],
"scope": {
"request_query": {},
"request_body": {
"keyword": "seo"
},
"part_type": "serp_google_organic_live"
},
"provenance": {
"provider": "dataforseo",
"calls": [
{
"operation": "serp_google_organic_live",
"http_status": 200,
"latency_ms": 312
}
]
}
}v1
Get v1dataforseoexecutions results
Compatibility route. Equivalent to GET /v1/executions//results for provider=dataforseo.
GET
/
v1
/
dataforseo
/
executions
/
{id}
/
results
cURL
Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer sk_...
Path Parameters
Response
200 - application/json
Execution results from snapshot parts and provider logs
Available options:
queued, running, complete, partial, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I